<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/main_bg_color"
    tools:context=".ui.activity.MainActivity">

    <View
        android:id="@+id/view"
        android:layout_width="match_parent"
        android:layout_height="0dp" />

    <FrameLayout
        android:id="@+id/frame_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/bottom_layout"
        android:layout_below="@+id/view" />

    <LinearLayout
        android:id="@+id/bottom_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:orientation="vertical">

        <LinearLayout
            android:id="@+id/playing_status_layout"
            android:layout_width="match_parent"
            android:layout_height="62dp"
            android:background="#FF9992F8"
            android:gravity="center_vertical"
            android:paddingStart="18dp">

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">

                <androidx.cardview.widget.CardView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    app:cardCornerRadius="32dp">

                    <ImageView
                        android:id="@+id/audio_img"
                        android:layout_width="46dp"
                        android:layout_height="46dp"
                        android:src="@mipmap/default_list_img" />

                </androidx.cardview.widget.CardView>

                <com.offline.music.task.player.ui.view.CircularProgressBar
                    android:id="@+id/progressBar"
                    android:layout_width="50dp"
                    android:layout_height="50dp"
                    android:layout_centerInParent="true" />
            </RelativeLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginStart="12dp"
                android:layout_marginEnd="12dp"
                android:layout_weight="1"
                android:gravity="center_vertical"
                android:orientation="vertical">

                <com.offline.music.task.player.ui.view.MarqueeTextView
                    android:id="@+id/name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:ellipsize="marquee"
                    android:fontFamily="@font/medium_font"
                    android:singleLine="true"
                    android:text="@string/app_name"
                    android:textColor="@color/text_color"
                    android:textSize="16dp" />

                <com.offline.music.task.player.ui.view.MarqueeTextView
                    android:id="@+id/desc"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/regular_font"
                    android:maxLines="1"
                    android:text="@string/app_name"
                    android:textColor="@color/text_color"
                    android:textSize="14dp" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/play_black_btn"
                android:layout_width="62dp"
                android:layout_height="62dp"
                android:gravity="center">

                <ImageView
                    android:id="@+id/play_status_img"
                    android:layout_width="28dp"
                    android:layout_height="28dp"
                    android:src="@drawable/main_play_icon" />

            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/tab_layout"
            android:layout_width="match_parent"
            android:layout_height="76dp"
            android:layout_marginTop="4dp"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@drawable/drw_main_bottom_bg"
                android:orientation="horizontal">

                <LinearLayout
                    android:id="@+id/home_btn"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical">

                    <ImageView
                        android:id="@+id/home_img"
                        android:layout_width="28dp"
                        android:layout_height="28dp"
                        android:src="@drawable/selector_home" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/me_btn"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical">

                    <ImageView
                        android:id="@+id/me_img"
                        android:layout_width="28dp"
                        android:layout_height="28dp"
                        android:src="@drawable/me_collect" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/app_setting"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical">

                    <ImageView
                        android:id="@+id/home_setting"
                        android:layout_width="28dp"
                        android:layout_height="28dp"
                        android:src="@drawable/selector_setting" />

                </LinearLayout>
            </LinearLayout>


        </LinearLayout>

    </LinearLayout>

</RelativeLayout>